class VMware_VCloud_SDK_Query_Params
|
__construct($params = null)
Constructor |
||
| array |
getParams()
Returns query parameters. |
|
|
setParams(array $params)
Sets query parameters. |
||
|
setFilter(string $filter)
Sets the query condition. |
||
|
setFields(string $fields)
Sets fields to retrieve. |
||
|
setPageSize(int $pageSize)
Sets the size of the page when displaying query output. |
||
|
setPage(int $page)
Sets the page number of the query output to retrieve. |
||
|
setSortDesc(string $fields, string $pname = 'sortDesc')
Sets the field(s) name by which to sort in the descending order. |
||
|
setSortAsc(string $fields)
Sets the field(s) name by which to sort in the ascending order. |
public
__construct($params = null)
Constructor
Initialize the query parameters.
public array
getParams()
Returns query parameters.
public
setParams(array $params)
Sets query parameters.
public
setFilter(string $filter)
Sets the query condition.
For example: $params->setFilter('(name==vApp*;category==Catalog%20Item)');
public
setFields(string $fields)
Sets fields to retrieve.
For example: $params->setFields('name,category');
public
setPageSize(int $pageSize)
Sets the size of the page when displaying query output.
public
setPage(int $page)
Sets the page number of the query output to retrieve.
public
setSortDesc(string $fields, string $pname = 'sortDesc')
Sets the field(s) name by which to sort in the descending order.
Field name comes first has higher priority in the sorting. For example, when $fields = 'LastName, FirstName', the records of the query result will be sorted first by the 'LastName' column, and then the 'FirstName' column. This parameter can only be used when the query output format is set as 'records'. For example: $params->setSortDesc('name,category');
public
setSortAsc(string $fields)
Sets the field(s) name by which to sort in the ascending order.
This parameter can only be used when the query output format is set as 'records'. For example: $params->setSortAsc('name,category');